#include <iostream>
#include <vector>
#include <iterator>
#include <algorithm>
#include <utility>
#include "notebook.h"

using namespace std;

int main()
{
	cout << "** Sample c++ application using STL**\n\n";

	bool quit = false;

	while (!quit)
	{
		char choice = ' ';

		Notebook * nb = new Notebook;

		nb->ShowHelp();
		nb->Record();

		cout << "\nThe contents of your notebook:" << endl;

		nb->Display();

		cout << "\n\n" << endl;

		delete nb;

		while ((choice != 'y') && (choice != 'n'))
		{
			cout << "Start a new notebook (y/n): ";
			cin >> choice;
		}

		quit = ((choice == 'n') ? true : false);
	}

	return (0);
}
